Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTabletEvent.TabletDevice

    java.lang.Object
      java.lang.Enum<QTabletEvent.TabletDevice>
          com.trolltech.qt.gui.QTabletEvent.TabletDevice

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTabletEvent.TabletDevice>

Enclosing class:
  QTabletEvent

    public static enum QTabletEvent.TabletDevice

extends java.lang.Enum<QTabletEvent.TabletDevice>
implements QtEnumerator

This enum defines what type of device is generating the event.

Enum Constant Summary
`Airbrush` An airbrush
`FourDMouse` A 4D Mouse.
`NoDevice` No device, or an unknown device.
`Puck` A Puck (a device that is similar to a flat mouse with a transparent circle with cross-hairs).
`RotationStylus` A special stylus that also knows about rotation (a 6D stylus).
`Stylus` A Stylus.
`XFreeEraser` Internal.

Method Summary
`static QTabletEvent.TabletDevice` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTabletEvent.TabletDevice` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTabletEvent.TabletDevice[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoDevice

    public static final QTabletEvent.TabletDevice NoDevice

  No device, or an unknown device.

### Puck

    public static final QTabletEvent.TabletDevice Puck

  A Puck (a device that is similar to a flat mouse with a transparent circle with cross-hairs).

### Stylus

    public static final QTabletEvent.TabletDevice Stylus

  A Stylus.

### Airbrush

    public static final QTabletEvent.TabletDevice Airbrush

  An airbrush

### FourDMouse

    public static final QTabletEvent.TabletDevice FourDMouse

  A 4D Mouse.

### XFreeEraser

    public static final QTabletEvent.TabletDevice XFreeEraser

  Internal.

### RotationStylus

    public static final QTabletEvent.TabletDevice RotationStylus

  A special stylus that also knows about rotation (a 6D stylus).

Method Detail

### values

    public static final QTabletEvent.TabletDevice[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTabletEvent.TabletDevice c : QTabletEvent.TabletDevice.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTabletEvent.TabletDevice valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTabletEvent.TabletDevice resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD